Debian Bug report logs - #598883
unblock: kolab-webadmin/2.2.3-20091217-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mathieu Parent <sathieu@debian.org>

Date: Sat, 2 Oct 2010 19:06:02 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-kolab@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598883; Package release.debian.org. (Sat, 02 Oct 2010 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <sathieu@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-kolab@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 02 Oct 2010 19:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Parent <sathieu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: kolab-webadmin/2.2.3-20091217-3
Date: Sat, 02 Oct 2010 21:04:55 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Please unblock package kolab-webadmin

   * Updated Standards-Version to 3.9.1: no changes
   * Switch to dpkg-source 3.0 (quilt) format
   * 70-sieve-port-i18n.diff, 71-sieve-port-number.diff: Change sieve port
     to 4190 (Closes: #598010)

Due to the sieve port number change, kolab-webadmin failed to connect to cyrus sieve.
I have added two patches 70-sieve-port-i18n.diff, 71-sieve-port-number.diff to solve this issue.

Additionnaly, I hav migrated to dpkg-source 3.0 (quilt) to ease maintenance if security fixes are needed. Standards-Version was also updated.

unblock kolab-webadmin/2.2.3-20091217-3

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Sun, 03 Oct 2010 14:33:03 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Parent <sathieu@debian.org>:
Bug acknowledged by developer. (Sun, 03 Oct 2010 14:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 598883-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Mathieu Parent <sathieu@debian.org>, 598883-done@bugs.debian.org
Subject: Re: Bug#598883: unblock: kolab-webadmin/2.2.3-20091217-3
Date: Sun, 03 Oct 2010 16:28:57 +0200
On 10/02/2010 09:04 PM, Mathieu Parent wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: freeze-exception
>
> Please unblock package kolab-webadmin
>
>     * Updated Standards-Version to 3.9.1: no changes
>     * Switch to dpkg-source 3.0 (quilt) format

Note that this change won't be accepted for future freeze exceptions.

> [...]
>
> unblock kolab-webadmin/2.2.3-20091217-3
>

Unblocked.

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598883; Package release.debian.org. (Sun, 03 Oct 2010 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 03 Oct 2010 17:09:02 GMT) Full text and rfc822 format available.

Message #15 received at 598883@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 598883@bugs.debian.org
Subject: Re: Bug#598883: unblock: kolab-webadmin/2.2.3-20091217-3
Date: Sun, 3 Oct 2010 19:07:09 +0200
2010/10/3 Mehdi Dogguy <mehdi@dogguy.org>:
> On 10/02/2010 09:04 PM, Mathieu Parent wrote:
>>
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: freeze-exception
>>
>> Please unblock package kolab-webadmin
>>
>>    * Updated Standards-Version to 3.9.1: no changes
>>    * Switch to dpkg-source 3.0 (quilt) format
>
> Note that this change won't be accepted for future freeze exceptions.

OK

>> [...]
>>
>> unblock kolab-webadmin/2.2.3-20091217-3
>>
>
> Unblocked.

Thanks a lot!

-- 
Mathieu Parent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598883; Package release.debian.org. (Mon, 25 Oct 2010 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 25 Oct 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 598883@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 598883@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#598883: unblock: kolab-webadmin/2.2.3-20091217-4
Date: Mon, 25 Oct 2010 18:30:19 +0200
reopen 598883 -
thanks

unblock kolab-webadmin/2.2.3-20091217-4

I am reopening this freeze exception as bug #598010 was not completely
solved by the proposed patch.

The new uploaded version use sieve port number instead of port name as
the former doesn't work as expected.

Mini diff :
--- debian/patches/71-sieve-port-number.diff	(révision 1534)
+++ debian/patches/71-sieve-port-number.diff	(révision 1538)
-+    function Net_Sieve($user = null , $pass  = null , $host =
'localhost', $port = 'sieve', $logintype = '', $euser = '', $debug =
false)
++    function Net_Sieve($user = null , $pass  = null , $host =
'localhost', $port = 4190, $logintype = '', $euser = '', $debug =
false)

Thanks and sorry for the time spent.

Mathieu

PS: Complete diff:

Index: debian/changelog
===================================================================
--- debian/changelog	(révision 1534)
+++ debian/changelog	(révision 1538)
@@ -1,3 +1,11 @@
+kolab-webadmin (2.2.3-20091217-4) unstable; urgency=low
+
+  * Really fix "could not connect to sieve port: not currently in" by
+    hardcoding sieve port as kolab-webadmin doesn't use nsswitch for service
+    port numbers (Closes: #598010)
+
+ -- Mathieu Parent <sathieu@debian.org>  Thu, 21 Oct 2010 22:23:48 +0200
+
 kolab-webadmin (2.2.3-20091217-3) unstable; urgency=low

   * Updated Standards-Version to 3.9.1: no changes
Index: debian/patches/71-sieve-port-number.diff
===================================================================
--- debian/patches/71-sieve-port-number.diff	(révision 1534)
+++ debian/patches/71-sieve-port-number.diff	(révision 1538)
@@ -25,7 +25,7 @@
      * @param  string $euser     Effective User (if $user=admin,
login as $euser)
      */
 -    function Net_Sieve($user = null , $pass  = null , $host =
'localhost', $port = 2000, $logintype = '', $euser = '', $debug =
false)
-+    function Net_Sieve($user = null , $pass  = null , $host =
'localhost', $port = 'sieve', $logintype = '', $euser = '', $debug =
false)
++    function Net_Sieve($user = null , $pass  = null , $host =
'localhost', $port = 4190, $logintype = '', $euser = '', $debug =
false)
      {
          $this->_state = NET_SIEVE_STATE_DISCONNECTED;
          $this->_data['user'] = $user;




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Oct 2010 16:39:02 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Mon, 25 Oct 2010 16:42:05 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Parent <sathieu@debian.org>:
Bug acknowledged by developer. (Mon, 25 Oct 2010 16:42:05 GMT) Full text and rfc822 format available.

Message #27 received at 598883-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: "Mathieu Parent (Debian)" <sathieu@debian.org>, 598883-done@bugs.debian.org
Subject: Re: Bug#598883: unblock: kolab-webadmin/2.2.3-20091217-4
Date: Mon, 25 Oct 2010 18:35:27 +0200
On 10/25/2010 06:30 PM, Mathieu Parent (Debian) wrote:
> reopen 598883 -
> thanks
> 
> unblock kolab-webadmin/2.2.3-20091217-4
> 
> I am reopening this freeze exception as bug #598010 was not completely
> solved by the proposed patch.
> 
> The new uploaded version use sieve port number instead of port name as
> the former doesn't work as expected.
> 

Unblocked.

Thanks,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Nov 2010 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:00:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.